Index: /code/branches/pch/src/orxonox/interfaces/InterfaceCompilation.cc
===================================================================
--- /code/branches/pch/src/orxonox/interfaces/InterfaceCompilation.cc	(revision 3182)
+++ /code/branches/pch/src/orxonox/interfaces/InterfaceCompilation.cc	(revision 3183)
@@ -37,5 +37,5 @@
 #include "RadarListener.h"
 #include "Rewardable.h"
-#include "Teamcolourable.h"
+#include "TeamColourable.h"
 #include "Tickable.h"
 #include "TimeFactorListener.h"
@@ -74,9 +74,9 @@
 
     //----------------------------
-    // Teamcolourable
+    // TeamColourable
     //----------------------------
-    Teamcolourable::Teamcolourable()
+    TeamColourable::TeamColourable()
     {
-        RegisterRootObject(Teamcolourable);
+        RegisterRootObject(TeamColourable);
     }
 
Index: /code/branches/pch/src/orxonox/interfaces/TeamColourable.h
===================================================================
--- /code/branches/pch/src/orxonox/interfaces/TeamColourable.h	(revision 3183)
+++ /code/branches/pch/src/orxonox/interfaces/TeamColourable.h	(revision 3183)
@@ -0,0 +1,49 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _TeamColourable_H__
+#define _TeamColourable_H__
+
+#include "OrxonoxPrereqs.h"
+
+#include "util/UtilPrereqs.h"
+#include "core/OrxonoxClass.h"
+
+namespace orxonox
+{
+    class _OrxonoxExport TeamColourable : virtual public OrxonoxClass
+    {
+        public:
+            virtual void setTeamColour(const ColourValue& colour) = 0;
+
+        protected:
+            TeamColourable();
+    };
+}
+
+#endif /* _TeamColourable_H__ */
Index: de/branches/pch/src/orxonox/interfaces/Teamcolourable.h
===================================================================
--- /code/branches/pch/src/orxonox/interfaces/Teamcolourable.h	(revision 3182)
+++ 	(revision )
@@ -1,49 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _Teamcolourable_H__
-#define _Teamcolourable_H__
-
-#include "OrxonoxPrereqs.h"
-
-#include "util/UtilPrereqs.h"
-#include "core/OrxonoxClass.h"
-
-namespace orxonox
-{
-    class _OrxonoxExport Teamcolourable : virtual public OrxonoxClass
-    {
-        public:
-            virtual void setTeamColour(const ColourValue& colour) = 0;
-
-        protected:
-            Teamcolourable();
-    };
-}
-
-#endif /* _Teamcolourable_H__ */
Index: /code/branches/pch/src/orxonox/objects/gametypes/TeamDeathmatch.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/gametypes/TeamDeathmatch.cc	(revision 3182)
+++ /code/branches/pch/src/orxonox/objects/gametypes/TeamDeathmatch.cc	(revision 3183)
@@ -31,5 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "interfaces/Teamcolourable.h"
+#include "interfaces/TeamColourable.h"
 #include "objects/worldentities/TeamSpawnPoint.h"
 
@@ -168,7 +168,7 @@
                 for (std::set<WorldEntity*>::iterator it = pawnAttachments.begin(); it != pawnAttachments.end(); ++it)
                 {
-                    if ((*it)->isA(Class(Teamcolourable)))
+                    if ((*it)->isA(Class(TeamColourable)))
                     {
-                        Teamcolourable* tc = dynamic_cast<Teamcolourable*>(*it);
+                        TeamColourable* tc = dynamic_cast<TeamColourable*>(*it);
                         tc->setTeamColour(this->teamcolours_[it_player->second]);
                     }
Index: /code/branches/pch/src/orxonox/objects/quest/AddReward.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddReward.cc	(revision 3182)
+++ /code/branches/pch/src/orxonox/objects/quest/AddReward.cc	(revision 3183)
@@ -36,5 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "Rewardable.h"
+#include "interfaces/Rewardable.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/worldentities/Billboard.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/Billboard.h	(revision 3182)
+++ /code/branches/pch/src/orxonox/objects/worldentities/Billboard.h	(revision 3183)
@@ -34,9 +34,9 @@
 #include "util/Math.h"
 #include "tools/BillboardSet.h"
-#include "interfaces/Teamcolourable.h"
+#include "interfaces/TeamColourable.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport Billboard : public StaticEntity, public Teamcolourable
+    class _OrxonoxExport Billboard : public StaticEntity, public TeamColourable
     {
         public:
Index: /code/branches/pch/src/orxonox/objects/worldentities/Light.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/Light.h	(revision 3182)
+++ /code/branches/pch/src/orxonox/objects/worldentities/Light.h	(revision 3183)
@@ -37,9 +37,9 @@
 
 #include "util/Math.h"
-#include "interfaces/Teamcolourable.h"
+#include "interfaces/TeamColourable.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport Light : public StaticEntity, public Teamcolourable
+    class _OrxonoxExport Light : public StaticEntity, public TeamColourable
     {
         public:
Index: /code/branches/pch/src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.cc	(revision 3182)
+++ /code/branches/pch/src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.cc	(revision 3183)
@@ -31,5 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "objects/gametypes/TeamBaseMatch.h"
-#include "interfaces/Teamcolourable.h"
+#include "interfaces/TeamColourable.h"
 #include "interfaces/PawnListener.h"
 
@@ -81,7 +81,7 @@
         for (std::set<WorldEntity*>::iterator it = attachments.begin(); it != attachments.end(); ++it)
         {
-            if ((*it)->isA(Class(Teamcolourable)))
+            if ((*it)->isA(Class(TeamColourable)))
             {
-                Teamcolourable* tc = dynamic_cast<Teamcolourable*>(*it);
+                TeamColourable* tc = dynamic_cast<TeamColourable*>(*it);
                 tc->setTeamColour(colour);
             }