Index: code/branches/pch/src/orxonox/objects/weaponsystem/DefaultWeaponmodeLink.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/DefaultWeaponmodeLink.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/DefaultWeaponmodeLink.cc	(revision 3185)
@@ -31,5 +31,4 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-
 #include "WeaponSystem.h"
 
Index: code/branches/pch/src/orxonox/objects/weaponsystem/Munition.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/Munition.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/Munition.cc	(revision 3185)
@@ -29,5 +29,4 @@
 
 #include "Munition.h"
-
 #include "core/CoreIncludes.h"
 
Index: code/branches/pch/src/orxonox/objects/weaponsystem/Munition.h
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/Munition.h	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/Munition.h	(revision 3185)
@@ -34,5 +34,4 @@
 
 #include <map>
-
 #include "core/BaseObject.h"
 #include "tools/Timer.h"
Index: code/branches/pch/src/orxonox/objects/weaponsystem/MuzzleFlash.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/MuzzleFlash.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/MuzzleFlash.cc	(revision 3185)
@@ -30,8 +30,6 @@
 #include "MuzzleFlash.h"
 
-#include "core/GameMode.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-#include "util/Math.h"
+#include "core/Executor.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/weaponsystem/MuzzleFlash.h
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/MuzzleFlash.h	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/MuzzleFlash.h	(revision 3185)
@@ -31,7 +31,7 @@
 
 #include "OrxonoxPrereqs.h"
+
+#include "tools/Timer.h"
 #include "objects/worldentities/Billboard.h"
-#include "tools/Timer.h"
-
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/weaponsystem/Weapon.h
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/Weapon.h	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/Weapon.h	(revision 3185)
@@ -32,7 +32,8 @@
 
 #include "OrxonoxPrereqs.h"
+
+#include <map>
+#include "tools/Timer.h"
 #include "objects/worldentities/StaticEntity.h"
-
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/weaponsystem/WeaponMode.h
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/WeaponMode.h	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/WeaponMode.h	(revision 3185)
@@ -32,9 +32,10 @@
 
 #include "OrxonoxPrereqs.h"
+
+#include <string>
+#include "util/Math.h"
 #include "core/BaseObject.h"
-
+#include "core/Identifier.h"
 #include "tools/Timer.h"
-#include "core/Identifier.h"
-#include "util/Math.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/weaponsystem/WeaponPack.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/WeaponPack.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/WeaponPack.cc	(revision 3185)
@@ -31,8 +31,6 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/pawns/Pawn.h"
 
 #include "Weapon.h"
-#include "WeaponSlot.h"
 #include "WeaponSystem.h"
 #include "DefaultWeaponmodeLink.h"
Index: code/branches/pch/src/orxonox/objects/weaponsystem/WeaponPack.h
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/WeaponPack.h	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/WeaponPack.h	(revision 3185)
@@ -34,5 +34,4 @@
 
 #include <set>
-
 #include "core/BaseObject.h"
 
Index: code/branches/pch/src/orxonox/objects/weaponsystem/WeaponSet.h
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/WeaponSet.h	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/WeaponSet.h	(revision 3185)
@@ -34,5 +34,4 @@
 
 #include <map>
-
 #include "core/BaseObject.h"
 
Index: code/branches/pch/src/orxonox/objects/weaponsystem/WeaponSystem.h
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/WeaponSystem.h	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/WeaponSystem.h	(revision 3185)
@@ -33,8 +33,7 @@
 #include "OrxonoxPrereqs.h"
 
+#include <map>
 #include <set>
-#include <map>
 #include <vector>
-
 #include "core/BaseObject.h"
 
Index: code/branches/pch/src/orxonox/objects/weaponsystem/munitions/FusionMunition.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/munitions/FusionMunition.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/munitions/FusionMunition.cc	(revision 3185)
@@ -28,5 +28,4 @@
 
 #include "FusionMunition.h"
-
 #include "core/CoreIncludes.h"
 
Index: code/branches/pch/src/orxonox/objects/weaponsystem/munitions/LaserMunition.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/munitions/LaserMunition.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/munitions/LaserMunition.cc	(revision 3185)
@@ -28,5 +28,4 @@
 
 #include "LaserMunition.h"
-
 #include "core/CoreIncludes.h"
 
Index: code/branches/pch/src/orxonox/objects/weaponsystem/munitions/ReplenishingMunition.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/munitions/ReplenishingMunition.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/munitions/ReplenishingMunition.cc	(revision 3185)
@@ -28,5 +28,4 @@
 
 #include "ReplenishingMunition.h"
-
 #include "core/CoreIncludes.h"
 
Index: code/branches/pch/src/orxonox/objects/weaponsystem/munitions/ReplenishingMunition.h
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/munitions/ReplenishingMunition.h	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/munitions/ReplenishingMunition.h	(revision 3185)
@@ -31,6 +31,7 @@
 
 #include "OrxonoxPrereqs.h"
+
+#include "tools/Timer.h"
 #include "objects/weaponsystem/Munition.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.cc	(revision 3185)
@@ -30,7 +30,6 @@
 
 #include <OgreBillboardSet.h>
-
+#include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-#include "core/CoreIncludes.h"
 #include "objects/Scene.h"
 
Index: code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.h
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.h	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.h	(revision 3185)
@@ -32,7 +32,7 @@
 #include "OrxonoxPrereqs.h"
 
+#include "util/Math.h"
+#include "tools/BillboardSet.h"
 #include "Projectile.h"
-#include "tools/BillboardSet.h"
-#include "util/Math.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.cc	(revision 3185)
@@ -29,10 +29,6 @@
 #include "LightningGunProjectile.h"
 
-#include <OgreBillboardSet.h>
-
-#include "core/GameMode.h"
+#include "util/Convert.h"
 #include "core/CoreIncludes.h"
-#include "objects/Scene.h"
-#include "util/Convert.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.h
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.h	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.h	(revision 3185)
@@ -32,6 +32,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include <string>
 #include "tools/Timer.h"
-
 #include "BillboardProjectile.h"
 
Index: code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/ParticleProjectile.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/ParticleProjectile.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/ParticleProjectile.cc	(revision 3185)
@@ -32,7 +32,6 @@
 #include <OgreParticleEmitter.h>
 
-#include "core/GameMode.h"
+#include "tools/ParticleInterface.h"
 #include "core/CoreIncludes.h"
-#include "core/ConfigValueIncludes.h"
 #include "objects/Scene.h"
 
Index: code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/ParticleProjectile.h
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/ParticleProjectile.h	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/ParticleProjectile.h	(revision 3185)
@@ -31,8 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "BillboardProjectile.h"
-#include "tools/ParticleInterface.h"
-#include "util/Math.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/Projectile.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/Projectile.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/Projectile.cc	(revision 3185)
@@ -29,16 +29,11 @@
 #include "Projectile.h"
 
-#include <OgreBillboard.h>
-
 #include "core/CoreIncludes.h"
+#include "core/ConfigValueIncludes.h"
 #include "core/Executor.h"
-#include "core/ConfigValueIncludes.h"
-#include "core/ObjectList.h"
-#include "tools/ParticleInterface.h"
-
-#include "objects/worldentities/Model.h"
+#include "core/GameMode.h"
+#include "objects/collisionshapes/SphereCollisionShape.h"
+#include "objects/worldentities/pawns/Pawn.h"
 #include "objects/worldentities/ParticleSpawner.h"
-#include "objects/collisionshapes/SphereCollisionShape.h"
-#include "core/GameMode.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/Projectile.h
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/Projectile.h	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/Projectile.h	(revision 3185)
@@ -32,8 +32,7 @@
 #include "OrxonoxPrereqs.h"
 
+#include "tools/Timer.h"
 #include "interfaces/PawnListener.h"
 #include "objects/worldentities/MovableEntity.h"
-#include "objects/worldentities/pawns/Pawn.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.cc	(revision 3185)
@@ -30,9 +30,10 @@
 
 #include "core/CoreIncludes.h"
+#include "core/Executor.h"
 #include "core/XMLPort.h"
-#include "objects/weaponsystem/projectiles/ParticleProjectile.h"
 #include "objects/worldentities/Model.h"
+
+#include "objects/weaponsystem/projectiles/Projectile.h"
 #include "objects/weaponsystem/MuzzleFlash.h"
-
 #include "objects/weaponsystem/Weapon.h"
 #include "objects/weaponsystem/WeaponPack.h"
@@ -69,9 +70,4 @@
     {
         this->material_ = material;
-    }
-
-    std::string& EnergyDrink::getMaterial()
-    {
-        return this->material_;
     }
 
Index: code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.h
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.h	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.h	(revision 3185)
@@ -31,6 +31,8 @@
 
 #include "OrxonoxPrereqs.h"
+
+#include <string>
+#include "tools/Timer.h"
 #include "objects/weaponsystem/WeaponMode.h"
-#include "tools/Timer.h"
 
 namespace orxonox
@@ -47,5 +49,6 @@
         private:
             void setMaterial(const std::string& material);
-            std::string& getMaterial();
+            inline const std::string& getMaterial()
+                { return this->material_; }
             void setDelay(float d);
             float getDelay() const;
Index: code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/FusionFire.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/FusionFire.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/FusionFire.cc	(revision 3185)
@@ -29,4 +29,5 @@
 #include "FusionFire.h"
 
+#include "util/Math.h"
 #include "core/CoreIncludes.h"
 #include "objects/weaponsystem/projectiles/BillboardProjectile.h"
Index: code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.cc	(revision 3185)
@@ -30,9 +30,10 @@
 
 #include "core/CoreIncludes.h"
+#include "core/Executor.h"
 #include "core/XMLPort.h"
-#include "objects/weaponsystem/projectiles/ParticleProjectile.h"
 #include "objects/worldentities/Model.h"
+
+#include "objects/weaponsystem/projectiles/Projectile.h"
 #include "objects/weaponsystem/MuzzleFlash.h"
-
 #include "objects/weaponsystem/Weapon.h"
 #include "objects/weaponsystem/WeaponPack.h"
Index: code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.h
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.h	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.h	(revision 3185)
@@ -31,6 +31,7 @@
 
 #include "OrxonoxPrereqs.h"
+
+#include "tools/Timer.h"
 #include "objects/weaponsystem/WeaponMode.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/LaserFire.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/LaserFire.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/LaserFire.cc	(revision 3185)
@@ -31,5 +31,4 @@
 #include "core/CoreIncludes.h"
 #include "objects/weaponsystem/projectiles/ParticleProjectile.h"
-
 #include "objects/weaponsystem/Weapon.h"
 #include "objects/weaponsystem/WeaponPack.h"
Index: code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/LightningGun.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/LightningGun.cc	(revision 3184)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/weaponmodes/LightningGun.cc	(revision 3185)
@@ -30,14 +30,8 @@
 
 #include "core/CoreIncludes.h"
-
-#include "objects/worldentities/Billboard.h"
-
+#include "objects/weaponsystem/projectiles/LightningGunProjectile.h"
 #include "objects/weaponsystem/Weapon.h"
 #include "objects/weaponsystem/WeaponPack.h"
 #include "objects/weaponsystem/WeaponSystem.h"
-
-#include "objects/weaponsystem/projectiles/LightningGunProjectile.h"
-
-#include "util/Math.h"
 
 namespace orxonox