Index: orxonox/trunk/gui/orxonox_gui.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui.cc	(revision 3173)
+++ orxonox/trunk/gui/orxonox_gui.cc	(revision 3187)
@@ -21,15 +21,4 @@
    ### File Specific:
    main-programmer: Benjamin Grauer
-
-   ToDO: 
-   way to start gui without GTK (textmode)
-   curl interface to Download cool stuff
-
-   chain all the windows when starting the GUI (DANGER: performance!!)
-
-   widgets save themselves
-   good way to step through all the Widgets
-   ... many more ...
-   label -> protected : getlabel function
 
 */
Index: orxonox/trunk/gui/orxonox_gui.h
===================================================================
--- orxonox/trunk/gui/orxonox_gui.h	(revision 3173)
+++ orxonox/trunk/gui/orxonox_gui.h	(revision 3187)
@@ -2,4 +2,11 @@
  \file orxonox_gui.h
  \brief Creation of the Gui
+
+ \todo way to start gui without GTK (textmode) AND IMPROOVE
+ \todo curl interface to Download cool stuff
+
+ \todo widgets save themselves
+ \todo good way to step through all the Widgets
+ \todo label -> protected : getlabel function
 */
 
Index: orxonox/trunk/gui/orxonox_gui_audio.h
===================================================================
--- orxonox/trunk/gui/orxonox_gui_audio.h	(revision 3173)
+++ orxonox/trunk/gui/orxonox_gui_audio.h	(revision 3187)
@@ -13,9 +13,9 @@
 {
  private:
-  Frame* audioFrame;
-  Box* audioBox;
-  CheckButton* enableSound;
-  Slider* musicVolume;
-  Slider* effectsVolume;
+  Frame* audioFrame;        //!< The Frame that holds the audio Options.
+  Box* audioBox;            //!< The Box that holds the audio Options.
+  CheckButton* enableSound; //!< A Ckeckbutton for enabling Sound.
+  Slider* musicVolume;      //!< A Slider for music volume.
+  Slider* effectsVolume;    //!< A Slider for effects volume.
  public:
   OrxonoxGuiAudio ();
Index: orxonox/trunk/gui/orxonox_gui_banner.h
===================================================================
--- orxonox/trunk/gui/orxonox_gui_banner.h	(revision 3173)
+++ orxonox/trunk/gui/orxonox_gui_banner.h	(revision 3187)
@@ -15,16 +15,16 @@
  private:
   // the banner Frame
-  Frame* bannerFrame;
-  Box* bannerBox;
-  EventBox* bannerEventBox; //!< an Image needs an EventBox to catch klicks
-  Image* bannerImage;
-  Label* bannerLabel;
+  Frame* bannerFrame;       //!< The frame that holds the Banner.
+  Box* bannerBox;           //!< The box that holds the Banner.
+  EventBox* bannerEventBox; //!< an Image needs an EventBox to catch klicks.
+  Image* bannerImage;       //!< The Image for the Banner.
+  Label* bannerLabel;       //!< The Label of the Banner.
 
   // the logo Window
-  Window* logoWindow;
-  EventBox* logoEventBox;
-  Box* logoBox;
-  Image* logoImage;
-  Label* logoLabel;
+  Window* logoWindow;       //!< The Window that holds the Orxonox-CrewLogo.
+  EventBox* logoEventBox;   //!< The EventBox that holds the Orxonox-CrewLogo. it has to be an eventbox, because Images can not receive clicks.
+  Box* logoBox;             //!< The Box that holds the Orxonox-CrewLogo
+  Image* logoImage;         //!< The Orxonox-CrewLogo-Image
+  Label* logoLabel;         //!< The Label for the Orxonox-CrewLogo
 
  public:
Index: orxonox/trunk/gui/orxonox_gui_exec.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui_exec.cc	(revision 3173)
+++ orxonox/trunk/gui/orxonox_gui_exec.cc	(revision 3187)
@@ -110,6 +110,7 @@
 /** 
     \brief Saves the configuration-file to the Disk.\n
+    \param widget from which Widget on should be saved.
+
     this Function only opens and closes the file, in between OrxonoxGuiExec::writeFileText (Widget* widget) will execute the real writing process.
-    \param widget from which Widget on should be saved.
 */
 void OrxonoxGuiExec::writeToFile (Widget* widget)
@@ -248,5 +249,9 @@
 
 /**
-   \brief locates a Group member
+   \brief Locates a Group.
+   \param widget The Widget from where to search from
+   \param groupName The GroupName for which to search.
+   \param depth The Depth of the search seen from the first widget we searched from.
+   \returns The Widget that holds the Group, or the NULL if the Group wasn't found.
 */
 Widget* OrxonoxGuiExec::locateGroup(Widget* widget, char* groupName, int depth)
Index: orxonox/trunk/gui/orxonox_gui_exec.h
===================================================================
--- orxonox/trunk/gui/orxonox_gui_exec.h	(revision 3173)
+++ orxonox/trunk/gui/orxonox_gui_exec.h	(revision 3187)
@@ -15,13 +15,14 @@
 {
  private:
-  Frame* execFrame;
-  Box* execBox;
-  Button* start;
-  CheckButton* saveSettings;
-  Menu* verboseMode;
-  CheckButton* alwaysShow;
-  Button* quit;
-  char* configFile;
-  FILE* CONFIG_FILE;
+  Frame* execFrame;            //!< The Frame that holds the ExecutionOptions.
+  Box* execBox;                //!< The Box that holds the ExecutionOptions.
+  Button* start;               //!< The start Button of orxonox.
+  CheckButton* saveSettings;   //!< A CheckBox for if the Options should be saved.
+  Menu* verboseMode;           //!< A Menu for setting the verbose-Mode. \todo setting up a verbose-class.
+  CheckButton* alwaysShow;     //!< A CheckButton, for if orxonox should start with or without gui.
+  Button* quit;                //!< A Button to quit the Gui without starting orxonox.
+  char* configFile;            //!< The name of the .orxonox.conf(ig)-file.
+  FILE* CONFIG_FILE;           //!< Filehandler for reading and writing.
+
  public:
   OrxonoxGuiExec (Window* orxonoxGUI);
Index: orxonox/trunk/gui/orxonox_gui_flags.h
===================================================================
--- orxonox/trunk/gui/orxonox_gui_flags.h	(revision 3173)
+++ orxonox/trunk/gui/orxonox_gui_flags.h	(revision 3187)
@@ -13,9 +13,9 @@
 {
  private:
-  Frame* flagsFrame;
-  Box* flagsBox;
-  CheckButton* shortFlags;
-  Label* flagsLabel;
-  char* flagText;
+  Frame* flagsFrame;          //!< The Frame that holds the flagsDisplay.
+  Box* flagsBox;              //!< The Box that holds the flagsDisplay.
+  CheckButton* shortFlags;    //!< CheckButton to change the display of short and long flags \todo show long if long not availible...
+  Label* flagsLabel;          //!< The Label of the Flags
+  char* flagText;             //!< The Text of the Label. \todo Delete when Object is destroyed.
 
  public:
Index: orxonox/trunk/gui/orxonox_gui_gtk.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui_gtk.cc	(revision 3173)
+++ orxonox/trunk/gui/orxonox_gui_gtk.cc	(revision 3187)
@@ -40,4 +40,9 @@
 
 #ifdef HAVE_GTK2
+/**
+   \brief Initializes the Guis GTK-stuff.
+   \param argc the argument count.
+   \param argv The Argument strings.
+*/
 bool initGTK(int argc, char *argv[])
 {
@@ -45,4 +50,8 @@
   gtk_rc_parse( "rc" );
 }
+
+/**
+   \brief enters the GTK-main-loop
+*/
 bool mainloopGTK(void)
 {
@@ -158,5 +167,5 @@
 /**
    \brief Moves through all the Widgets downwards from this and executes the function on them.
-   \param function must be of type void and takes a Widget* as an Input. 
+   \param Function must be of type void and takes a Widget* as an Input. 
 */
 void Widget::walkThrough (void (*function)(Widget*))
@@ -197,4 +206,11 @@
 
 #ifdef HAVE_GTK2
+
+/**
+   \brief Signal that does absolutely nothing
+   \param widget The widget that initiated the Signal
+   \param event The event-type.
+   \param nothing nothin.
+*/
 gint Widget::doNothingSignal (GtkWidget *widget, GdkEvent* event, void* nothing)
 {
@@ -209,4 +225,5 @@
 /**
    \brief Initializes a Packer.
+
    Sets the down-pinter to NULL and other PackerSpecific-values to their defaults.
 */
@@ -246,4 +263,5 @@
 /**
    \brief Initializes a Container.
+
    sets the Container-Specific defaults.
 */
@@ -259,6 +277,7 @@
 /**
    \briefFills a Container with lowerWidget.
+   \param lowerWidget the Widget that should be filled into the Container.
+
    It does this by filling up the down pointer only if down points to NULL.
-   \param lowerWidget the Widget that should be filled into the Container.
 */
 void Container::fill (Widget *lowerWidget)
@@ -281,4 +300,9 @@
 Window* Window::mainWindow = NULL;
 
+/**
+   \brief Adds a new Window Windows to the List of Windows.
+   \param windowToAdd The Windows that should be added to the List
+   \todo this instead of windowToAdd (possibly)
+*/
 void Window::addWindow(Window* windowToAdd)
 {
@@ -410,6 +434,6 @@
    \brief opens up a window (not topmost Window).
    this is the Signal that does it. !!SIGNALS ARE STATIC!!
-   \param widget the widget that did it!
-   \param event the event that did it!
+   \param widget the widget that did it.
+   \param event the event that did it.
    \param window the Window that should be opened
 */
@@ -585,6 +609,7 @@
 /** 
     \brief Fills a box with a given Widget.
+    \param lowerWidget the next Widget that should be appendet to this Box
+
     It does this by apending the first one to its down-pointer and all its following ones to the preceding next-pointer. The last one will receive a NULL pointer as Next
-    \param lowerWidget the next Widget that should be appendet to this Box
 */
 void Box::fill (Widget *lowerWidget)
@@ -658,5 +683,5 @@
 /**
    \brief This sets The FlagName of an Option and defines its default Values
-   !! Options will be saved if flagname is different from "" !!
+   !! Options will be saved if flagname is different from NULL !!
    \param flagname the Name that will be displayed in the output
    \param defaultvalue the default Value for this Option (see definition of defaultvalue
@@ -995,4 +1020,9 @@
 }
 
+/**
+   \brief Creates a new OptionLabel with a LabelName and a Value.
+   \param label The name of the OptionLabel.
+   \param value The Value of the OptionLabel (what will be displayed).
+*/
 OptionLabel::OptionLabel(char* label, char* value)
 {
@@ -1002,4 +1032,7 @@
 }
 
+/**
+   \brief Initializes an OptionLabel
+*/
 void OptionLabel::init(void)
 {
@@ -1013,4 +1046,8 @@
 }
 
+/**
+   \brief Updates the value of an OptionLabel
+   \param newValue The new Name that should be displayed.
+*/
 void OptionLabel::setValue(char* newValue)
 {
@@ -1024,4 +1061,8 @@
 }
 
+/**
+   \brief Sets a ned Title to the OptionLabel.
+   \param title The now title of the OptionLabel.
+*/
 void OptionLabel::setTitle(char* title)
 {
@@ -1035,4 +1076,7 @@
 }
 
+/**
+   \brief Redraws an OptionLabel (not implemented yet, but it works).
+*/
 void OptionLabel::redraw(void)
 {
Index: orxonox/trunk/gui/orxonox_gui_gtk.h
===================================================================
--- orxonox/trunk/gui/orxonox_gui_gtk.h	(revision 3173)
+++ orxonox/trunk/gui/orxonox_gui_gtk.h	(revision 3187)
@@ -38,4 +38,5 @@
 {
  private:
+
  public:
   ~Widget ();
@@ -111,7 +112,7 @@
 {
  private:
-  bool isOpen;
- public:
-  static Window* mainWindow;
+  bool isOpen;                //!< A bool Variable that checks if a Window is already open.
+ public:
+  static Window* mainWindow;  //!< Pointer to the First Window that was opened. By default this should be the GUI's main-Window.
   static void addWindow(Window* windowToAdd);
 
@@ -163,8 +164,8 @@
 //! A Box can contain multiple Widgets
 /**
- * A Box can Contain multiple Widgets, that are ordered either horizontally or vertically
- * I defined the standartbox to be horizontally.
- * A Box is always filled left->right (horizontally) or up->down (vertically)
- */
+   A Box can Contain multiple Widgets, that are ordered either horizontally or vertically
+   I defined the standartbox to be horizontally.
+   A Box is always filled left->right (horizontally) or up->down (vertically)
+*/
 class Box : public Packer
 {
@@ -204,5 +205,5 @@
   char* flagNameShort; //!< like flag_name but shorter
   int defaultValue; //!< A default value is good, for hiding a option if it is not needed. (hidden if value == default_value)
-  bool saveable;  //! Options can be Saved.
+  bool saveable;  //!< Options can be Saved.
 
   void setFlagName (char* flagname, int defaultvalue);
@@ -268,8 +269,8 @@
  private:
 #ifdef HAVE_GTK2
-  GtkWidget* menu;
-  GtkWidget* item;
-#endif /* HAVE_GTK2 */
-  va_list itemlist;
+  GtkWidget* menu;     //!< The menu That will hold the Options.
+  GtkWidget* item;     //!< One Item From a Menu.
+#endif /* HAVE_GTK2 */
+  va_list itemlist;    //!> The list to readin multiple Options.
   
  public:
@@ -293,5 +294,5 @@
   void init(void);
   
-  char* cValue;
+  char* cValue;   //!< The Value the Label will have.
   
   void setValue(char* newValue);
Index: orxonox/trunk/gui/orxonox_gui_keys.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui_keys.cc	(revision 3173)
+++ orxonox/trunk/gui/orxonox_gui_keys.cc	(revision 3187)
@@ -53,4 +53,9 @@
 
 /* PLAYER */
+
+/**
+   \brief Creates new inputs for a player
+   \param player the name of the Player
+*/
 Player::Player(char* player)
 {
@@ -97,4 +102,10 @@
 }
 
+/**
+   \brief adds a new Key.
+   \param key the number of the Key
+   \param name The name of the new Key.
+   \returns A widget that has the Key-Box
+*/
 Widget* Player::addKey (KEYS key, char* name)
 {
@@ -114,4 +125,7 @@
 }
 
+/**
+   \returns the OpenButton of a Player
+*/
 Button* Player::getOpenButton()
 {
@@ -119,5 +133,8 @@
 }
 
-
+/**
+   \brief sets a new Key (only output)
+   \param key the new Key.
+*/
 void Player::setkey(KEYS key)
 {
Index: orxonox/trunk/gui/orxonox_gui_keys.h
===================================================================
--- orxonox/trunk/gui/orxonox_gui_keys.h	(revision 3173)
+++ orxonox/trunk/gui/orxonox_gui_keys.h	(revision 3187)
@@ -11,7 +11,8 @@
 #include <gdk/gdkkeysyms.h>
 #endif /* HAVE_GTK2 */
+
 /**
- * defines the Possible Player Keys
- */
+   \brief defines the Possible Player Keys
+*/
 enum KEYS { UP, DOWN, LEFT, RIGHT, SHOOT };
 
@@ -21,9 +22,9 @@
 {
  private:
-  Frame* keysFrame;
-  Box* keysBox;
-  Player* player1;
-  Player* player2;
-  Button* misc;
+  Frame* keysFrame;      //!< The Frame that holds the keyOptions.
+  Box* keysBox;          //!< The Frame that holds the keyOptions.
+  Player* player1;       //!< The first Player's keys.
+  Player* player2;       //!< The seconds Player's keys.
+  Button* misc;          //!< Other keyboeard options come here. \todo include some like pause, quit and so on.
 
  public:
@@ -35,25 +36,29 @@
 
 //! Class to hold infos about a Player
+/**
+   \todo split into subclass and superclass ButtonConfigurator
+*/
 class Player
 {
  private:
-  Window* pKeyWindow;
-  Frame* pKeyFrame;
-  Button* openButton;
-  Button* closeButton;
-  Box* pKeysBox;
+  Window* pKeyWindow;     //!< The Window for a new Key-setting.
+  Frame* pKeyFrame;       //!< The Frame for a new Key-setting.
+  Button* openButton;     //!< The OpenButton for this key-settings.
+  Button* closeButton;    //!< The CloseButton for this key-settings.
+  Box* pKeysBox;          //!< The Box that holds the Key-settings.
   
+  //! One KeyOption has one InputKey
   struct InputKey
   {
-    Box* pKeyBox;
-    Button* pKeyButton;
-    OptionLabel* pKeyOLabel;
+    Box* pKeyBox;           //!< One Box that holds the Keys
+    Button* pKeyButton;     //!< The Button for changing the Key.
+    OptionLabel* pKeyOLabel;//!< The Label for displaying the Key-setting.
   };
 
-  InputKey* inputKey[10];
+  InputKey* inputKey[10];     //!< Buttons-array. \todo make it dynamic.
 
-  static Window* inputWindow;
-  static Button* inputButton;
-  static long keySignal;
+  static Window* inputWindow; //!< A Window that gets keyboard clicks. Static, because only one needed.
+  static Button* inputButton; //!< A Button that gets keyboard clicks. Static, because only one needed.
+  static long keySignal;      //!< A keySignal that handles keyboard clicks. Static, because only one needed.
  public:
   Player(char* player);
Index: orxonox/trunk/gui/orxonox_gui_video.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui_video.cc	(revision 3173)
+++ orxonox/trunk/gui/orxonox_gui_video.cc	(revision 3187)
@@ -27,5 +27,7 @@
 #include "orxonox_gui_video.h"
 
-
+/**
+   \brief Creates the Video-Option-Frame
+*/
 OrxonoxGuiVideo::OrxonoxGuiVideo ()
 {
@@ -47,5 +49,4 @@
 
 /**
-   \brief Return the Frame
    \return Returns the Video-frame
 */
Index: orxonox/trunk/gui/orxonox_gui_video.h
===================================================================
--- orxonox/trunk/gui/orxonox_gui_video.h	(revision 3173)
+++ orxonox/trunk/gui/orxonox_gui_video.h	(revision 3187)
@@ -12,8 +12,8 @@
 {
  private:
-  Frame* videoFrame;
-  Box* videoBox;
-  CheckButton* fullscreen;
-  CheckButton* wireframe;
+  Frame* videoFrame;        //!< The Frame that holds the video options.
+  Box* videoBox;            //!< The Box that holds the video options.
+  CheckButton* fullscreen;  //!< CheckButton for fullscreen-mode
+  CheckButton* wireframe;   //!< CheckButton for wireframe Mode.
  public:
   OrxonoxGuiVideo ();