Index: /code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.cc	(revision 3187)
+++ /code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.cc	(revision 3188)
@@ -29,5 +29,4 @@
 #include "BillboardProjectile.h"
 
-#include <OgreBillboardSet.h>
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
Index: /code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/ParticleProjectile.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/ParticleProjectile.cc	(revision 3187)
+++ /code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/ParticleProjectile.cc	(revision 3188)
@@ -29,7 +29,5 @@
 #include "ParticleProjectile.h"
 
-#include <OgreParticleSystem.h>
 #include <OgreParticleEmitter.h>
-
 #include "tools/ParticleInterface.h"
 #include "core/CoreIncludes.h"
Index: /code/branches/pch/src/orxonox/objects/worldentities/BigExplosion.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/BigExplosion.cc	(revision 3187)
+++ /code/branches/pch/src/orxonox/objects/worldentities/BigExplosion.cc	(revision 3188)
@@ -30,5 +30,4 @@
 
 //#include <sstream>
-#include <OgreParticleSystem.h>
 
 #include "util/Exception.h"
Index: /code/branches/pch/src/orxonox/objects/worldentities/Billboard.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/Billboard.cc	(revision 3187)
+++ /code/branches/pch/src/orxonox/objects/worldentities/Billboard.cc	(revision 3188)
@@ -28,6 +28,4 @@
 
 #include "Billboard.h"
-
-#include <OgreBillboardSet.h>
 
 #include "core/CoreIncludes.h"
Index: /code/branches/pch/src/orxonox/objects/worldentities/CameraPosition.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/CameraPosition.cc	(revision 3187)
+++ /code/branches/pch/src/orxonox/objects/worldentities/CameraPosition.cc	(revision 3188)
@@ -29,5 +29,4 @@
 #include "CameraPosition.h"
 
-#include <OgreCamera.h>
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
Index: /code/branches/pch/src/orxonox/objects/worldentities/ExplosionChunk.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/ExplosionChunk.cc	(revision 3187)
+++ /code/branches/pch/src/orxonox/objects/worldentities/ExplosionChunk.cc	(revision 3188)
@@ -28,6 +28,4 @@
 
 #include "ExplosionChunk.h"
-
-#include <OgreParticleSystem.h>
 
 #include "core/CoreIncludes.h"
Index: /code/branches/pch/src/orxonox/objects/worldentities/ParticleEmitter.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/ParticleEmitter.cc	(revision 3187)
+++ /code/branches/pch/src/orxonox/objects/worldentities/ParticleEmitter.cc	(revision 3188)
@@ -33,6 +33,4 @@
 
 #include "ParticleEmitter.h"
-
-#include <OgreParticleSystem.h>
 
 #include "util/Exception.h"
Index: /code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.cc	(revision 3187)
+++ /code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.cc	(revision 3188)
@@ -30,6 +30,10 @@
 #include "WorldEntity.h"
 
+#include <OgreBillboardSet.h>
+#include <OgreCamera.h>
+#include <OgreEntity.h>
+#include <OgreParticleSystem.h>
+#include <OgreSceneManager.h>
 #include <OgreSceneNode.h>
-#include <OgreSceneManager.h>
 #include <BulletDynamics/Dynamics/btRigidBody.h>
 #include <boost/static_assert.hpp>
@@ -468,13 +472,25 @@
     //! Attaches an Ogre::MovableObject to this WorldEntity.
     void WorldEntity::attachOgreObject(Ogre::MovableObject* object)
-    {
-        this->node_->attachObject(object);
-    }
+        { this->node_->attachObject(object); }
+    void WorldEntity::attachOgreObject(Ogre::BillboardSet* object)
+        { this->node_->attachObject(object); }
+    void WorldEntity::attachOgreObject(Ogre::Camera* object)
+        { this->node_->attachObject(object); }
+    void WorldEntity::attachOgreObject(Ogre::Entity* object)
+        { this->node_->attachObject(object); }
+    void WorldEntity::attachOgreObject(Ogre::ParticleSystem* object)
+        { this->node_->attachObject(object); }
 
     //! Detaches an Ogre::MovableObject from this WorldEntity.
     void WorldEntity::detachOgreObject(Ogre::MovableObject* object)
-    {
-        this->node_->detachObject(object);
-    }
+        { this->node_->detachObject(object); }
+    void WorldEntity::detachOgreObject(Ogre::BillboardSet* object)
+        { this->node_->detachObject(object); }
+    void WorldEntity::detachOgreObject(Ogre::Camera* object)
+        { this->node_->detachObject(object); }
+    void WorldEntity::detachOgreObject(Ogre::Entity* object)
+        { this->node_->detachObject(object); }
+    void WorldEntity::detachOgreObject(Ogre::ParticleSystem* object)
+        { this->node_->detachObject(object); }
 
     //! Detaches an Ogre::MovableObject (by string) from this WorldEntity.
Index: /code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.h	(revision 3187)
+++ /code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.h	(revision 3188)
@@ -173,6 +173,16 @@
                 { return this->children_; }
 
-            void attachOgreObject(Ogre::MovableObject* object);
-            void detachOgreObject(Ogre::MovableObject* object);
+            void attachOgreObject(Ogre::MovableObject*  object);
+            void attachOgreObject(Ogre::BillboardSet*   object);
+            void attachOgreObject(Ogre::Camera*         object);
+            void attachOgreObject(Ogre::Entity*         object);
+            void attachOgreObject(Ogre::ParticleSystem* object);
+
+            void detachOgreObject(Ogre::MovableObject*  object);
+            void detachOgreObject(Ogre::BillboardSet*   object);
+            void detachOgreObject(Ogre::Camera*         object);
+            void detachOgreObject(Ogre::Entity*         object);
+            void detachOgreObject(Ogre::ParticleSystem* object);
+
             Ogre::MovableObject* detachOgreObject(const Ogre::String& name);
 
Index: /code/branches/pch/src/orxonox/objects/worldentities/pawns/Spectator.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/pawns/Spectator.cc	(revision 3187)
+++ /code/branches/pch/src/orxonox/objects/worldentities/pawns/Spectator.cc	(revision 3188)
@@ -28,6 +28,4 @@
 
 #include "Spectator.h"
-
-#include <OgreBillboardSet.h>
 
 #include "core/CoreIncludes.h"
Index: /code/branches/pch/src/orxonox/objects/worldentities/triggers/Trigger.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/triggers/Trigger.cc	(revision 3187)
+++ /code/branches/pch/src/orxonox/objects/worldentities/triggers/Trigger.cc	(revision 3188)
@@ -28,6 +28,4 @@
 
 #include "Trigger.h"
-
-#include <OgreBillboardSet.h>
 
 #include "core/CoreIncludes.h"