Index: /code/branches/pch/src/core/CorePrecompiledHeaders.h
===================================================================
--- /code/branches/pch/src/core/CorePrecompiledHeaders.h	(revision 3189)
+++ /code/branches/pch/src/core/CorePrecompiledHeaders.h	(revision 3190)
@@ -30,43 +30,52 @@
 @file
 @brief
-    Compilation of the most often used header files in the core library
+    Compilation of the most often used header files in the core library for MSVC
 */
 
-#include <cassert>
-#include <cmath>
-#include <cstdlib>
-#include <cctype>
-#include <climits>
+#include "CorePrereqs.h"
 
-#include <string>
-#include <sstream>
-#include <vector>
+#include <fstream>
 #include <iostream>
 #include <list>
+#include <map>
 #include <set>
-#include <map>
-#include <fstream>
+#include <sstream>
+#include <string>
+#include <vector>
 
-#include <OgreVector2.h>
-#include <OgreVector3.h>
-#include <OgreVector4.h>
-#include <OgreQuaternion.h>
-#include <OgreColourValue.h>
+
+#ifdef ORXONOX_COMPILER_MSVC
+
+#define WIN32_LEAN_AND_MEAN
+#include <windows.h>
+#undef max
+#undef min
+
 #include <ois/OISKeyboard.h>
 #include <ois/OISMouse.h>
 #include <ois/OISJoyStick.h>
 #include <tinyxml/ticpp.h>
+// Included by both filesystem and thread but still relatively small
+#include <boost/iterator/iterator_facade.hpp>
 
-// GCC may have problems with anonymous namespaces in certain situations
-#if !(defined(__GNUC__) && (__GNUC__ * 100 + __GNUC_MINOR__ < 420))
-#  include "util/Convert.h"
-#endif
+#endif /* ORXONOX_COMPILER_MSVC */
+
+
+#include "util/Convert.h"
 #include "util/Debug.h"
 #include "util/Exception.h"
 #include "util/Math.h"
+#include "util/mbool.h"
 #include "util/MultiType.h"
+#include "util/OrxAssert.h"
+#include "util/OrxEnum.h"
 #include "util/String.h"
 #include "util/SubString.h"
 
-// A change would trigger a 80% Core rebuild anyway
+
+#ifdef ORXONOX_COMPILER_MSVC
+
+// A change would trigger an 80% Core rebuild anyway
 #include "Identifier.h"
+
+#endif /*ORXONOX_COMPILER_MSVC */
Index: /code/branches/pch/src/network/CMakeLists.txt
===================================================================
--- /code/branches/pch/src/network/CMakeLists.txt	(revision 3189)
+++ /code/branches/pch/src/network/CMakeLists.txt	(revision 3190)
@@ -42,4 +42,6 @@
   DEFINE_SYMBOL
     "NETWORK_SHARED_BUILD"
+  PCH_FILE
+    NetworkPrecompiledHeaders.h
   LINK_LIBRARIES
     ${ZLIB_LIBRARY}
Index: /code/branches/pch/src/network/NetworkPrecompiledHeaders.h
===================================================================
--- /code/branches/pch/src/network/NetworkPrecompiledHeaders.h	(revision 3190)
+++ /code/branches/pch/src/network/NetworkPrecompiledHeaders.h	(revision 3190)
@@ -0,0 +1,69 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+@file
+@brief
+    Compilation of the most often used header files in the network library
+*/
+
+#include "NetworkPrereqs.h"
+
+#include <fstream>
+#include <iostream>
+#include <list>
+#include <map>
+#include <set>
+#include <sstream>
+#include <string>
+#include <vector>
+
+
+#ifdef ORXONOX_COMPILER_MSVC
+
+#define WIN32_LEAN_AND_MEAN
+#include <enet/enet.h>
+#undef max
+#undef min
+
+// Too larg PCH file if you include this and only 10% faster
+#include <boost/thread/recursive_mutex.hpp>
+
+#include "util/CRC32.h"
+#include "util/Debug.h"
+#include "util/Math.h"
+#include "util/mbool.h"
+#include "util/MultiType.h"
+#include "util/String.h"
+
+#include "core/Core.h"
+#include "core/CoreIncludes.h"
+#include "core/Functor.h"
+#include "core/GameMode.h"
+
+#endif /* ORXONOX_COMPILER_MSVC */