Index: code/branches/pch/src/orxonox/objects/Scene.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/Scene.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/Scene.cc	(revision 3192)
@@ -102,5 +102,5 @@
 
         XMLPortParam(Scene, "skybox", setSkybox, getSkybox, xmlelement, mode);
-        XMLPortParam(Scene, "ambientlight", setAmbientLight, getAmbientLight, xmlelement, mode).defaultValues(ColourValue(0.2, 0.2, 0.2, 1));
+        XMLPortParam(Scene, "ambientlight", setAmbientLight, getAmbientLight, xmlelement, mode).defaultValues(ColourValue(0.2f, 0.2f, 0.2f, 1.0f));
         XMLPortParam(Scene, "shadow", setShadow, getShadow, xmlelement, mode).defaultValues(true);
 
Index: code/branches/pch/src/orxonox/objects/Scene.h
===================================================================
--- code/branches/pch/src/orxonox/objects/Scene.h	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/Scene.h	(revision 3192)
@@ -36,7 +36,7 @@
 #include <set>
 #include <string>
-#include <OgrePrerequisites.h>
 
 #include "util/Math.h"
+#include "util/OgreForwardRefs.h"
 #include "core/BaseObject.h"
 #include "network/synchronisable/Synchronisable.h"
Index: code/branches/pch/src/orxonox/objects/collisionshapes/CollisionShape.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/CollisionShape.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/CollisionShape.cc	(revision 3192)
@@ -126,6 +126,6 @@
     bool CollisionShape::hasTransform() const
     {
-        return (!this->position_.positionEquals(Vector3(0, 0, 0), 0.001) ||
-                !this->orientation_.equals(Quaternion(1,0,0,0), Degree(0.1)));
+        return (!this->position_.positionEquals(Vector3(0, 0, 0), 0.001f) ||
+                !this->orientation_.equals(Quaternion(1,0,0,0), Degree(0.1f)));
     }
 
Index: code/branches/pch/src/orxonox/objects/controllers/AIController.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/AIController.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/controllers/AIController.cc	(revision 3192)
@@ -108,5 +108,5 @@
             this->moveToTargetPosition();
 
-        if (this->getControllableEntity() && this->bShooting_ && this->isCloseAtTarget(1000) && this->isLookingAtTarget(Ogre::Math::PI / 20.0))
+        if (this->getControllableEntity() && this->bShooting_ && this->isCloseAtTarget(1000) && this->isLookingAtTarget(Ogre::Math::PI / 20.0f))
             this->getControllableEntity()->fire(0);
 
Index: code/branches/pch/src/orxonox/objects/controllers/PongAI.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/PongAI.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/controllers/PongAI.cc	(revision 3192)
@@ -39,5 +39,5 @@
     CreateUnloadableFactory(PongAI);
 
-    const static float MAX_REACTION_TIME = 0.4;
+    const static float MAX_REACTION_TIME = 0.4f;
 
     PongAI::PongAI(BaseObject* creator) : Controller(creator)
@@ -49,6 +49,6 @@
         this->ballEndPosition_ = 0;
         this->randomOffset_ = 0;
-        this->relHysteresisOffset_ = 0.02;
-        this->strength_ = 0.5;
+        this->relHysteresisOffset_ = 0.02f;
+        this->strength_ = 0.5f;
         this->movement_ = 0;
         this->oldMove_ = 0;
@@ -171,5 +171,5 @@
 
         // The position shouln't be larger than 0.5 (50% of the bat-length from the middle is the end)
-        position *= 0.48;
+        position *= 0.48f;
 
         // Both sides are equally probable
@@ -190,5 +190,5 @@
 
         // Calculate bounces
-        for (float limit = 0.35; limit < this->strength_ || this->strength_ > 0.99; limit += 0.4)
+        for (float limit = 0.35f; limit < this->strength_ || this->strength_ > 0.99f; limit += 0.4f)
         {
             // Calculate a random prediction error, based on the vertical speed of the ball and the strength of the AI
Index: code/branches/pch/src/orxonox/objects/gametypes/Gametype.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/Gametype.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/gametypes/Gametype.cc	(revision 3192)
@@ -287,5 +287,5 @@
         if (this->spawnpoints_.size() > 0)
         {
-            unsigned int randomspawn = (unsigned int)rnd(this->spawnpoints_.size());
+            unsigned int randomspawn = static_cast<unsigned int>(rnd(static_cast<float>(this->spawnpoints_.size())));
             unsigned int index = 0;
             for (std::set<SpawnPoint*>::const_iterator it = this->spawnpoints_.begin(); it != this->spawnpoints_.end(); ++it)
Index: code/branches/pch/src/orxonox/objects/gametypes/TeamDeathmatch.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/TeamDeathmatch.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/gametypes/TeamDeathmatch.cc	(revision 3192)
@@ -54,8 +54,8 @@
         static ColourValue colours[] =
         {
-            ColourValue(1.0, 0.3, 0.3),
-            ColourValue(0.3, 0.3, 1.0),
-            ColourValue(0.3, 1.0, 0.3),
-            ColourValue(1.0, 1.0, 0.0)
+            ColourValue(1.0f, 0.3f, 0.3f),
+            ColourValue(0.3f, 0.3f, 1.0f),
+            ColourValue(0.3f, 1.0f, 0.3f),
+            ColourValue(1.0f, 1.0f, 0.0f)
         };
         static std::vector<ColourValue> defaultcolours(colours, colours + sizeof(colours) / sizeof(ColourValue));
@@ -139,5 +139,5 @@
         if (teamSpawnPoints.size() > 0)
         {
-            unsigned int randomspawn = (unsigned int)rnd(teamSpawnPoints.size());
+            unsigned int randomspawn = static_cast<unsigned int>(rnd(static_cast<float>(teamSpawnPoints.size())));
             unsigned int index = 0;
             for (std::set<SpawnPoint*>::const_iterator it = teamSpawnPoints.begin(); it != teamSpawnPoints.end(); ++it)
Index: code/branches/pch/src/orxonox/objects/infos/HumanPlayer.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/infos/HumanPlayer.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/infos/HumanPlayer.cc	(revision 3192)
@@ -143,10 +143,10 @@
     float HumanPlayer::getPing() const
     {
-        return ClientInformation::findClient(this->getClientID())->getRTT();
+        return static_cast<float>(ClientInformation::findClient(this->getClientID())->getRTT());
     }
 
     float HumanPlayer::getPacketLossRatio() const
     {
-        return ClientInformation::findClient(this->getClientID())->getPacketLoss();
+        return static_cast<float>(ClientInformation::findClient(this->getClientID())->getPacketLoss());
     }
 
Index: code/branches/pch/src/orxonox/objects/weaponsystem/MuzzleFlash.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/MuzzleFlash.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/MuzzleFlash.cc	(revision 3192)
@@ -40,5 +40,5 @@
     {
         RegisterObject(MuzzleFlash);
-        this->setScale(0.1);
+        this->setScale(0.1f);
         
         this->delayTimer_.setTimer(0.1f, false, this, createExecutor(createFunctor(&MuzzleFlash::destroy)));
Index: code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.cc	(revision 3192)
@@ -44,5 +44,5 @@
         {
             assert(this->getScene()->getSceneManager()); // getScene() was already checked by WorldEntity
-            this->billboard_.setBillboardSet(this->getScene()->getSceneManager(), "Examples/Flare", ColourValue(0.5, 0.5, 0.7, 0.8), 1);
+            this->billboard_.setBillboardSet(this->getScene()->getSceneManager(), "Examples/Flare", ColourValue(0.5f, 0.5f, 0.7f, 0.8f), 1);
             this->attachOgreObject(this->billboard_.getBillboardSet());
         }
Index: code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.cc	(revision 3192)
@@ -42,5 +42,5 @@
         this->textureIndex_ = 1;
         this->maxTextureIndex_ = 8;
-        this->textureTimer_.setTimer(0.01, true, this, createExecutor(createFunctor(&LightningGunProjectile::changeTexture)));
+        this->textureTimer_.setTimer(0.01f, true, this, createExecutor(createFunctor(&LightningGunProjectile::changeTexture)));
         
         registerVariables();
Index: code/branches/pch/src/orxonox/objects/worldentities/BlinkingBillboard.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/BlinkingBillboard.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/worldentities/BlinkingBillboard.cc	(revision 3192)
@@ -79,7 +79,7 @@
             this->time_ += dt;
             if (this->bQuadratic_)
-                this->setScale(this->amplitude_ * square(sin((6.2831853 * this->time_ + this->phase_.valueRadians()) * this->frequency_)));
+                this->setScale(this->amplitude_ * static_cast<float>(square(sin((6.2831853 * this->time_ + this->phase_.valueRadians()) * this->frequency_))));
             else
-                this->setScale(this->amplitude_ * sin((6.2831853 * this->time_ + this->phase_.valueRadians()) * this->frequency_));
+                this->setScale(this->amplitude_ * static_cast<float>(sin((6.2831853 * this->time_ + this->phase_.valueRadians()) * this->frequency_)));
         }
     }
Index: code/branches/pch/src/orxonox/objects/worldentities/Camera.h
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/Camera.h	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/worldentities/Camera.h	(revision 3192)
@@ -32,5 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
-#include <OgrePrerequisites.h>
+#include "util/OgreForwardRefs.h"
 #include "interfaces/Tickable.h"
 #include "objects/worldentities/StaticEntity.h"
Index: code/branches/pch/src/orxonox/objects/worldentities/ExplosionChunk.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/ExplosionChunk.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/worldentities/ExplosionChunk.cc	(revision 3192)
@@ -151,10 +151,10 @@
             Vector3 change(rnd(-1, 1), rnd(-1, 1), rnd(-1, 1));
             change.normalise();
-            change *= rnd(0.4, 0.8);
+            change *= rnd(0.4f, 0.8f);
             Vector3 velocity = this->getVelocity();
             velocity.normalise();
             velocity += change;
             velocity.normalise();
-            velocity *= length * rnd(0.8, 1.0);
+            velocity *= length * rnd(0.8f, 1.0f);
 
             this->setVelocity(velocity);
Index: code/branches/pch/src/orxonox/objects/worldentities/MobileEntity.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/MobileEntity.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/worldentities/MobileEntity.cc	(revision 3192)
@@ -92,5 +92,5 @@
                 this->angularVelocity_.z += angularAcceleration_.z * dt;
                 // Calculate new orientation with quaternion derivative. This is about 30% faster than with angle/axis method.
-                float mult = dt * 0.5;
+                float mult = dt * 0.5f;
                 // TODO: this could be optimized by writing it out. The calls currently create 4 new Quaternions!
                 Quaternion newOrientation(0.0f, this->angularVelocity_.x * mult, this->angularVelocity_.y * mult, this->angularVelocity_.z * mult);
Index: code/branches/pch/src/orxonox/objects/worldentities/Planet.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/Planet.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/worldentities/Planet.cc	(revision 3192)
@@ -91,16 +91,16 @@
         float scaleFactor = this->getScale();
 
-        this->distList.push_back(10.0*scaleFactor);
-        this->distList.push_back(19.0*scaleFactor);
-        this->distList.push_back(27.0*scaleFactor);
-        this->distList.push_back(34.0*scaleFactor);
-        this->distList.push_back(40.0*scaleFactor);
-        this->distList.push_back(45.0*scaleFactor);
-        this->distList.push_back(49.0*scaleFactor);
-        this->distList.push_back(52.0*scaleFactor);
-        this->distList.push_back(54.0*scaleFactor);
-        this->distList.push_back(55.0*scaleFactor);
+        this->distList.push_back(10.0f*scaleFactor);
+        this->distList.push_back(19.0f*scaleFactor);
+        this->distList.push_back(27.0f*scaleFactor);
+        this->distList.push_back(34.0f*scaleFactor);
+        this->distList.push_back(40.0f*scaleFactor);
+        this->distList.push_back(45.0f*scaleFactor);
+        this->distList.push_back(49.0f*scaleFactor);
+        this->distList.push_back(52.0f*scaleFactor);
+        this->distList.push_back(54.0f*scaleFactor);
+        this->distList.push_back(55.0f*scaleFactor);
 
-        float reductionValue = 0.2;
+        float reductionValue = 0.2f;
 
         this->mesh_.getEntity()->getMesh()->generateLodLevels(distList, Ogre::ProgressiveMesh::VRQ_PROPORTIONAL, reductionValue);
Index: code/branches/pch/src/orxonox/objects/worldentities/PongBall.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/PongBall.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/worldentities/PongBall.cc	(revision 3192)
@@ -50,5 +50,5 @@
         this->batID_[0] = OBJECTID_UNKNOWN;
         this->batID_[1] = OBJECTID_UNKNOWN;
-        this->relMercyOffset_ = 0.05;
+        this->relMercyOffset_ = 0.05f;
 
         this->registerVariables();
@@ -103,5 +103,5 @@
                     if (position.x > this->fieldWidth_ / 2 && this->bat_[1])
                     {
-                        distance = (position.z - this->bat_[1]->getPosition().z) / (this->fieldHeight_ * (this->batlength_ * 1.10) / 2);
+                        distance = (position.z - this->bat_[1]->getPosition().z) / (this->fieldHeight_ * (this->batlength_ * 1.10f) / 2);
                         if (fabs(distance) <= 1)
                         {
@@ -123,5 +123,5 @@
                     if (position.x < -this->fieldWidth_ / 2 && this->bat_[0])
                     {
-                        distance = (position.z - this->bat_[0]->getPosition().z) / (this->fieldHeight_ * (this->batlength_ * 1.10) / 2);
+                        distance = (position.z - this->bat_[0]->getPosition().z) / (this->fieldHeight_ * (this->batlength_ * 1.10f) / 2);
                         if (fabs(distance) <= 1)
                         {
@@ -173,5 +173,5 @@
               if (position.x > this->fieldWidth_ / 2 && this->bat_[1])
               {
-                distance = (position.z - this->bat_[1]->getPosition().z) / (this->fieldHeight_ * (this->batlength_ * 1.10) / 2);
+                distance = (position.z - this->bat_[1]->getPosition().z) / (this->fieldHeight_ * (this->batlength_ * 1.10f) / 2);
                 if (fabs(distance) <= 1)
                 {
@@ -184,5 +184,5 @@
               if (position.x < -this->fieldWidth_ / 2 && this->bat_[0])
               {
-                distance = (position.z - this->bat_[0]->getPosition().z) / (this->fieldHeight_ * (this->batlength_ * 1.10) / 2);
+                distance = (position.z - this->bat_[0]->getPosition().z) / (this->fieldHeight_ * (this->batlength_ * 1.10f) / 2);
                 if (fabs(distance) <= 1)
                 {
Index: code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.h
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.h	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/worldentities/WorldEntity.h	(revision 3192)
@@ -34,11 +34,10 @@
 
 #ifdef ORXONOX_RELEASE
-#include <OgreSceneNode.h>
-#else
-#include <OgrePrerequisites.h>
+#  include <OgreSceneNode.h>
 #endif
 #include <LinearMath/btMotionState.h>
 
 #include "util/Math.h"
+#include "util/OgreForwardRefs.h"
 #include "core/BaseObject.h"
 #include "network/synchronisable/Synchronisable.h"
Index: code/branches/pch/src/orxonox/objects/worldentities/pawns/Spectator.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/pawns/Spectator.cc	(revision 3188)
+++ code/branches/pch/src/orxonox/objects/worldentities/pawns/Spectator.cc	(revision 3192)
@@ -59,5 +59,5 @@
         {
             this->greetingFlare_ = new BillboardSet();
-            this->greetingFlare_->setBillboardSet(this->getScene()->getSceneManager(), "Examples/Flare", ColourValue(1.0, 1.0, 0.8), Vector3(0, 20, 0), 1);
+            this->greetingFlare_->setBillboardSet(this->getScene()->getSceneManager(), "Examples/Flare", ColourValue(1.0f, 1.0f, 0.8f), Vector3(0, 20, 0), 1);
             if (this->greetingFlare_->getBillboardSet())
                 this->attachOgreObject(this->greetingFlare_->getBillboardSet());