Index: /orxonox/trunk/src/command_node.cc
===================================================================
--- /orxonox/trunk/src/command_node.cc	(revision 3193)
+++ /orxonox/trunk/src/command_node.cc	(revision 3194)
@@ -62,7 +62,16 @@
 
 
+/**
+  \brief this resets the command node
+
+   deleting all data contained in the command node to fill it up again
+
+  \todo coppling to different game-entities
+  \todo reset/destroy has to be redesigned
+*/
+
 void CommandNode::reset()
 {
-  this->bound->clear();
+  this->bound->destroy();
 }
 
Index: /orxonox/trunk/src/environment.cc
===================================================================
--- /orxonox/trunk/src/environment.cc	(revision 3193)
+++ /orxonox/trunk/src/environment.cc	(revision 3194)
@@ -67,6 +67,4 @@
 void Environment::draw () 
 {
-  printf("Environment::draw()");
-
   glMatrixMode(GL_MODELVIEW);
   glLoadIdentity();
@@ -78,5 +76,5 @@
 
   glBegin(GL_TRIANGLES);
-  glColor3f(1,1,1);
+  glColor3f(1,0,1);
   glVertex3f(0,0,0.5);
   glVertex3f(-0.5,0,-1);
@@ -89,5 +87,5 @@
     
   glBegin(GL_QUADS);
-  glColor3f(0,0,1);
+  glColor3f(1,0,1);
   glVertex3f(0.5,0.5,-1);
   glVertex3f(0.5,-0.5,-1);
Index: /orxonox/trunk/src/list.cc
===================================================================
--- /orxonox/trunk/src/list.cc	(revision 3193)
+++ /orxonox/trunk/src/list.cc	(revision 3194)
@@ -77,5 +77,5 @@
 
 
-void List::clear()
+void List::destroy()
 {
   printf("List::clear() - clearing all world objects, releasing mem\n");
Index: /orxonox/trunk/src/list.h
===================================================================
--- /orxonox/trunk/src/list.h	(revision 3193)
+++ /orxonox/trunk/src/list.h	(revision 3194)
@@ -22,5 +22,5 @@
   void add(WorldEntity* entity);
   void remove(WorldEntity* entity);
-  void clear();
+  void destroy();
   WorldEntity* firstElement();
   bool isEmpty();
@@ -80,5 +80,5 @@
   void add(WorldEntity* entity);
   void remove(WorldEntity* entity);
-  void clear();
+  void destroy();
   T* firstElement();
   bool isEmpty();
@@ -148,5 +148,5 @@
 
 template<class T>
-void tList<T>::clear()
+void tList<T>::destroy()
 {
   printf("tList<T>::clear() - clearing all world objects, releasing mem\n");
Index: /orxonox/trunk/src/player.cc
===================================================================
--- /orxonox/trunk/src/player.cc	(revision 3193)
+++ /orxonox/trunk/src/player.cc	(revision 3194)
@@ -26,5 +26,5 @@
 {
 
-  obj = new Object ("reaplow.obj");
+  this->obj = new Object ("reaplow.obj");
   /*
   objectList = glGenLists(1);
@@ -55,6 +55,7 @@
 
 Player::~Player () 
+{
 
-{
+  delete this->obj;
 }
 
Index: /orxonox/trunk/src/world.cc
===================================================================
--- /orxonox/trunk/src/world.cc	(revision 3193)
+++ /orxonox/trunk/src/world.cc	(revision 3194)
@@ -75,7 +75,12 @@
   this->bQuitCurrentGame = true;
   this->localCamera->setWorld(NULL);
-  this->entities->clear();
+  WorldEntity* entity = entities->enumerate();  
+  while( entity != NULL ) 
+    { 
+      entity->destroy();
+      entity = entities->nextElement();
+    }
+  this->entities->destroy();
   Orxonox::getInstance()->get_localinput()->reset();
-  this->~World();
 }
 
@@ -114,5 +119,6 @@
 		this->track[i] = Track( i, (i+1)%this->tracklen, &this->pathnodes[i], &this->pathnodes[(i+1)%this->tracklen]);
 	      }
-	    
+	    // !\todo old track-system has to be removed
+
 	    // create a player
 	    WorldEntity* myPlayer = new Player();
@@ -154,10 +160,9 @@
 		this->track[i] = Track( i, (i+1)%this->tracklen, &this->pathnodes[i], &this->pathnodes[(i+1)%this->tracklen]);
 	      }
-	    
+
 	    // create a player
-	    //WorldEntity* myPlayer = (WorldEntity*) this->spawn<Player>();
 	    WorldEntity* myPlayer = new Player();
 	    this->spawn(myPlayer);
-	    this->localPlayer = myPlayer;
+	    this->localPlayer = myPlayer;	    
 	    
 	    // bind input
@@ -539,5 +544,7 @@
       else
 	{
-	  printf("fps = 1000 but 0ms!\n");
+	  printf("fps = 1000 - frame rate is adjusted\n");
+	  SDL_Delay(10);
+	  dt = 10;
 	}
       