Index: code/trunk/src/orxonox/objects/quest/AddQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuest.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/AddQuest.cc	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuest.cc
+    @file
     @brief Implementation of the AddQuest class.
 */
@@ -34,12 +34,7 @@
 #include "AddQuest.h"
 
-#include <string>
-
+#include "util/Exception.h"
 #include "core/CoreIncludes.h"
-#include "util/Exception.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
 #include "QuestManager.h"
-#include "QuestDescription.h"
 #include "Quest.h"
 
Index: code/trunk/src/orxonox/objects/quest/AddQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuest.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/AddQuest.h	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuest.h
+    @file
     @brief Definition of the AddQuest class.
 */
@@ -36,8 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include <string>
-
-#include "core/XMLPort.h"
 #include "ChangeQuestStatus.h"
 
Index: code/trunk/src/orxonox/objects/quest/AddQuestHint.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuestHint.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/AddQuestHint.cc	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuestHint.cc
+    @file
     @brief Implementation of the AddQuestHint class.
 */
@@ -34,8 +34,7 @@
 #include "AddQuestHint.h"
 
+#include "util/Exception.h"
 #include "core/CoreIncludes.h"
-#include "util/Exception.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "QuestItem.h"
Index: code/trunk/src/orxonox/objects/quest/AddQuestHint.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuestHint.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/AddQuestHint.h	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuestHint.h
+    @file
     @brief Definition of the AddQuestHint class.
 */
@@ -38,5 +38,4 @@
 
 #include <string>
-
 #include "QuestEffect.h"
 
Index: code/trunk/src/orxonox/objects/quest/AddReward.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddReward.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/AddReward.cc	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddReward.cc
+    @file
     @brief Implementation of the AddReward class.
 */
@@ -35,7 +35,6 @@
 
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
-#include "Rewardable.h"
+#include "core/XMLPort.h"
+#include "interfaces/Rewardable.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/quest/AddReward.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddReward.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/AddReward.h	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddReward.h
+    @file
     @brief Definition of the AddReward class.
 */
@@ -38,6 +38,4 @@
 
 #include <list>
-
-#include "core/XMLPort.h"
 #include "QuestEffect.h"
 
Index: code/trunk/src/orxonox/objects/quest/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/quest/CMakeLists.txt	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/CMakeLists.txt	(revision 3196)
@@ -17,4 +17,3 @@
   QuestManager.cc
   QuestNotification.cc
-  Rewardable.cc
 )
Index: code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file ChangeQuestStatus.cc
+    @file
     @brief Implementation of the ChangeQuestStatus class.
 */
@@ -35,5 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
+#include "core/XMLPort.h"
 #include "QuestItem.h"
 
Index: code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file ChangeQuestStatus.h
+    @file
     @brief Definition of the ChangeQuestStatus class.
 */
@@ -38,6 +38,4 @@
 
 #include <string>
-
-#include "core/XMLPort.h"
 #include "QuestEffect.h"
 
Index: code/trunk/src/orxonox/objects/quest/CompleteQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/CompleteQuest.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/CompleteQuest.cc	(revision 3196)
@@ -28,5 +28,5 @@
  
 /**
-    @file CompleteQuest.cc
+    @file
     @brief Implementation of the CompleteQuest class.
 */
@@ -35,7 +35,5 @@
 
 #include "core/CoreIncludes.h"
-#include "util/Exception.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "Quest.h"
Index: code/trunk/src/orxonox/objects/quest/CompleteQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/CompleteQuest.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/CompleteQuest.h	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file CompleteQuest.h
+    @file
     @brief Definition of the CompleteQuest class.
 */
@@ -36,8 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include <string>
-
-#include "core/XMLPort.h"
 #include "ChangeQuestStatus.h"
 
Index: code/trunk/src/orxonox/objects/quest/FailQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/FailQuest.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/FailQuest.cc	(revision 3196)
@@ -28,5 +28,5 @@
  
 /**
-    @file FailQuest.cc
+    @file
     @brief Implementation of the FailQuest class.
 */
@@ -35,7 +35,5 @@
 
 #include "core/CoreIncludes.h"
-#include "util/Exception.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "Quest.h"
Index: code/trunk/src/orxonox/objects/quest/FailQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/FailQuest.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/FailQuest.h	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file FailQuest.h
+    @file
     @brief Definition of the FailQuest class.
 */
@@ -36,8 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include <string>
-
-#include "core/XMLPort.h"
 #include "ChangeQuestStatus.h"
 
Index: code/trunk/src/orxonox/objects/quest/GlobalQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/GlobalQuest.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/GlobalQuest.cc	(revision 3196)
@@ -28,5 +28,5 @@
  
 /**
-    @file GlobalQuest.cc
+    @file
     @brief Implementation of the GlobalQuest class.
 */
@@ -34,9 +34,6 @@
 #include "GlobalQuest.h"
 
-#include "orxonox/objects/infos/PlayerInfo.h"
 #include "core/CoreIncludes.h"
-#include "core/Super.h"
-#include "util/Exception.h"
-
+#include "core/XMLPort.h"
 #include "QuestEffect.h"
 
Index: code/trunk/src/orxonox/objects/quest/GlobalQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/GlobalQuest.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/GlobalQuest.h	(revision 3196)
@@ -28,5 +28,5 @@
  
 /**
-    @file GlobalQuest.h
+    @file
     @brief Definition of the GlobalQuest class.
 */
@@ -37,8 +37,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include <list>
 #include <set>
-#include <list>
-
-#include "core/XMLPort.h"
 #include "Quest.h"
 
Index: code/trunk/src/orxonox/objects/quest/LocalQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/LocalQuest.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/LocalQuest.cc	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file LocalQuest.cc
+    @file
     @brief Implementation of the LocalQuest class.
 */
@@ -35,8 +35,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Super.h"
-#include "util/Exception.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestEffect.h"
 
Index: code/trunk/src/orxonox/objects/quest/LocalQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/LocalQuest.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/LocalQuest.h	(revision 3196)
@@ -28,5 +28,5 @@
  
 /**
-    @file LocalQuest.h
+    @file
     @brief Definition of the LocalQuest class.
 */
@@ -38,7 +38,4 @@
 
 #include <map>
-#include <string>
-
-#include "core/XMLPort.h"
 #include "Quest.h"
 
Index: code/trunk/src/orxonox/objects/quest/Quest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/Quest.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/Quest.cc	(revision 3196)
@@ -28,5 +28,5 @@
  
 /**
-    @file Quest.cc
+    @file
     @brief Implementation of the Quest class.
 */
@@ -35,6 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "QuestDescription.h"
Index: code/trunk/src/orxonox/objects/quest/Quest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/Quest.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/Quest.h	(revision 3196)
@@ -28,5 +28,5 @@
  
 /**
-    @file Quest.h
+    @file
     @brief Definition of the Quest class.
         The Quest is the parent class of LocalQuest and GlobalQuest.
@@ -39,8 +39,4 @@
 
 #include <list>
-#include <string>
-
-#include "core/XMLPort.h"
-
 #include "QuestItem.h"
 
Index: code/trunk/src/orxonox/objects/quest/QuestDescription.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestDescription.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestDescription.cc	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestDescription.cc
+    @file
     @brief Implementation of the QuestDescription class.
 */
@@ -36,4 +36,5 @@
 
 #include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
 #include "QuestNotification.h"
 
Index: code/trunk/src/orxonox/objects/quest/QuestDescription.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestDescription.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestDescription.h	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestDescription.h
+    @file
     @brief Definition of the QuestDescription class.
 */
@@ -38,7 +38,5 @@
 
 #include <string>
-
 #include "core/BaseObject.h"
-#include "core/XMLPort.h"
 
 // tolua_begin
Index: code/trunk/src/orxonox/objects/quest/QuestEffect.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestEffect.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestEffect.cc	(revision 3196)
@@ -28,13 +28,10 @@
 
 /**
-    @file QuestEffect.cc
+    @file
     @brief Implementation of the QuestEffect class.
 */
 
 #include "QuestEffect.h"
-
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/quest/QuestEffect.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestEffect.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestEffect.h	(revision 3196)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestEffect.h
+    @file
     @brief Definition of the QuestEffect class.
 */
@@ -38,5 +38,4 @@
 
 #include <list>
-
 #include "core/BaseObject.h"
 
Index: code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestEffectBeacon.cc
+    @file
     @brief Implementation of the QuestEffectBeacon class.
 */
@@ -36,8 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "core/Event.h"
 #include "core/EventIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
 #include "orxonox/objects/worldentities/pawns/Pawn.h"
 #include "orxonox/objects/worldentities/triggers/PlayerTrigger.h"
@@ -89,5 +86,5 @@
         SUPER(QuestEffectBeacon, processEvent, event);
     
-        SetSubclassEvent(QuestEffectBeacon, "execute", execute, event, PlayerTrigger);
+        ORXONOX_SET_SUBCLASS_EVENT(QuestEffectBeacon, "execute", execute, event, PlayerTrigger);
     }
     
Index: code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestEffectBeacon.h
+    @file
     @brief Definition of the QuestEffectBeacon class.
 */
@@ -37,4 +37,5 @@
 #include "OrxonoxPrereqs.h"
 
+#include <list>
 #include "orxonox/objects/worldentities/StaticEntity.h"
 
Index: code/trunk/src/orxonox/objects/quest/QuestHint.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestHint.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestHint.cc	(revision 3196)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestHint.cc
+    @file
     @brief Implementation of the QuestHint class.
 */
@@ -35,7 +35,5 @@
 
 #include "core/CoreIncludes.h"
-#include "util/Exception.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "QuestDescription.h"
Index: code/trunk/src/orxonox/objects/quest/QuestHint.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestHint.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestHint.h	(revision 3196)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestHint.h
+    @file
     @brief Definition of the QuestHint class.
 */
@@ -38,7 +38,4 @@
 
 #include <map>
-#include <string>
-
-#include "core/XMLPort.h"
 #include "QuestItem.h"
 
Index: code/trunk/src/orxonox/objects/quest/QuestItem.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestItem.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestItem.cc	(revision 3196)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestItem.cc
+    @file
     @brief Implementation of the QuestItem class.
 */
@@ -35,5 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
+#include "core/XMLPort.h"
 #include "QuestDescription.h"
 
Index: code/trunk/src/orxonox/objects/quest/QuestItem.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestItem.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestItem.h	(revision 3196)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestItem.h
+    @file
     @brief Definition of the QuestItem class.
         The QuestItem is the parent class of Quest and QuestHint.
@@ -40,7 +40,5 @@
 
 #include <string>
-
 #include "core/BaseObject.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/quest/QuestListener.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestListener.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestListener.cc	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestListener.cc
+    @file
     @brief Implementation of the QuestListener class.
 */
@@ -36,6 +36,4 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "util/Exception.h"
-
 #include "Quest.h"
 #include "QuestManager.h"
@@ -164,5 +162,5 @@
         Return the mode of the QuestListener. Can be eighter 'all', 'start', 'fail' or 'complete'.
     */
-    const std::string QuestListener::getMode(void)
+    std::string QuestListener::getMode(void)
     {
         if(this->mode_ == questListenerMode::all)
@@ -191,4 +189,15 @@
     /**
     @brief
+        Get the questId of the Quest the QuestListener reacts to.
+    @return
+        Returns the questId of the Quest the QuestListener reacts to.
+    */
+    const std::string & QuestListener::getQuestId(void)    
+    {
+        return this->quest_->getId();
+    }
+
+    /**
+    @brief
         Executes the QuestListener, resp. fires an Event.
     @return
Index: code/trunk/src/orxonox/objects/quest/QuestListener.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestListener.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestListener.h	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestListener.h
+    @file
     @brief Definition of the QuestListener class.
 */
@@ -39,8 +39,5 @@
 #include <string>
 #include <list>
-
 #include "core/BaseObject.h"
-
-#include "Quest.h"
 
 namespace orxonox
@@ -90,13 +87,7 @@
         bool setMode(const std::string & mode); //!< Sets the mode of the QuestListener.
         
-        const std::string getMode(void); //!< Get the mode of the QuestListener.
+        std::string getMode(void); //!< Get the mode of the QuestListener.
         
-        /**
-        @brief Get the questId of the Quest the QuestListener reacts to.
-        @return Returns the questId of the Quest the QuestListener reacts to.
-        */
-        inline const std::string & getQuestId(void)
-                { return this->quest_->getId(); }
-        
+        const std::string & getQuestId(void);        
         bool execute(void); //!< Executes the QuestListener, resp. fires an Event.
         
Index: code/trunk/src/orxonox/objects/quest/QuestManager.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestManager.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestManager.cc	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestManager.cc
+    @file
     @brief Implementation of the QuestManager class.
 */
@@ -34,13 +34,14 @@
 #include "QuestManager.h"
 
+#include "util/Exception.h"
 #include "core/CoreIncludes.h"
-#include "core/ConsoleCommand.h"
-#include "core/input/InputManager.h"
-
-#include "util/Exception.h"
 #include "gui/GUIManager.h"
+
 #include "objects/infos/PlayerInfo.h"
+#include "objects/infos/PlayerInfo.h"
+#include "overlays/GUIOverlay.h"
 #include "Quest.h"
 #include "QuestHint.h"
+#include "QuestItem.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/quest/QuestManager.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestManager.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestManager.h	(revision 3196)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestManager.h
+    @file
     @brief Definition of the QuestManager class.
 */
@@ -37,11 +37,8 @@
 #include "OrxonoxPrereqs.h"
 
+#include <list>
 #include <map>
-#include <list>
 #include <string>
-
 #include "core/OrxonoxClass.h"
-#include "orxonox/objects/infos/PlayerInfo.h"
-#include "overlays/GUIOverlay.h"
 
 // tolua_begin
Index: code/trunk/src/orxonox/objects/quest/QuestNotification.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestNotification.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestNotification.cc	(revision 3196)
@@ -28,8 +28,5 @@
 
 #include "QuestNotification.h"
-
 #include "core/CoreIncludes.h"
-
-#include "orxonox/overlays/notifications/Notification.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/QuestNotification.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestNotification.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/quest/QuestNotification.h	(revision 3196)
@@ -33,6 +33,5 @@
 
 #include <string>
-
-#include "orxonox/overlays/notifications/Notification.h"
+#include "overlays/notifications/Notification.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/quest/Rewardable.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/Rewardable.cc	(revision 3110)
+++ 	(revision )
@@ -1,58 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Damian 'Mozork' Frick
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file Rewardable.cc
-    @brief Implementation of the Rewardable class.
-*/
-
-#include "Rewardable.h"
-
-#include "core/CoreIncludes.h"
-
-namespace orxonox
-{
-    /**
-    @brief
-        Constructor. Registers the object.
-    */
-    Rewardable::Rewardable(BaseObject* creator) : BaseObject(creator)
-    {
-        RegisterObject(Rewardable);
-    }
-
-    /**
-    @brief
-        Destructor,
-    */
-    Rewardable::~Rewardable()
-    {
-    }
-
-
-}
Index: code/trunk/src/orxonox/objects/quest/Rewardable.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/Rewardable.h	(revision 3110)
+++ 	(revision )
@@ -1,72 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Damian 'Mozork' Frick
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file Rewardable.h
-    @brief Definition of the Rewardable class.
-*/
-
-#ifndef _Rewardable_H__
-#define _Rewardable_H__
-
-#include "OrxonoxPrereqs.h"
-
-#include "core/BaseObject.h"
-
-namespace orxonox
-{
-    /**
-    @brief
-        Rewardable is an Interface, that can be implemented by any object to enable it to be given as reward to a player through QuestEffects. (With the AddReward effect.)
-        
-        It just needs to inherit form Rewardable, and implement the reward() method.
-    @author
-        Damian 'Mozork' Frick
-    */
-    class _OrxonoxExport Rewardable : public BaseObject
-    {
-        public:
-            Rewardable(BaseObject* creator);
-            virtual ~Rewardable();
-
-            /**
-            @brief
-                Method to transcribe a rewardable object to the player.
-                Must be implemented by every class inheriting from Rewardable.
-            @param player
-                A pointer to the ControllableEntity, do whatever you want with it.
-            @return
-                Return true if successful.
-            */
-            virtual bool reward(PlayerInfo* player) = 0;
-
-    };
-
-}
-
-#endif /* _Rewardable_H__ */